#!/bin/sh

name="openssh"
title="OpenSSH"
package="openssh"
version="3.6.1p2"
build="1"
noarch="n"
build_info="Standard build."

info="Secure Shell daemon and clients."
desc="ssh (Secure Shell) is a program for logging into a remote
machine and for executing commands on a remote machine. It
is intended to replace rlogin and rsh, and provide secure
encrypted communications between two untrusted hosts over
an insecure network. sshd (SSH Daemon) is the daemon
program for ssh. OpenSSH is based on the last free version
of Tatu Ylonen's SSH, further enhanced and cleaned up by
Aaron Campbell, Bob Beck, Markus Friedl, Niels Provos, Theo
de Raadt, and Dug Song."
category="net/server/shell"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="CREDITS,ChangeLog,INSTALL,LICENCE,OVERVIEW,README*,TODO,WARNING.RNG"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/$name-$version.tar.gz

configure_option --prefix=/usr
configure_option --sysconfdir=/etc/ssh
configure_option --without-pam
configure_option --with-md5-passwords
configure_option --with-tcp-wrappers
configure_option --with-default-path=/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin
configure_option --with-ipv4-default
configure_option --with-privsep-path=/var/empty
configure_option --with-privsep-user=sshd

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

mkdir -p $pkg_main/var/empty
copy contrib/ssh-copy-id $pkg_main/usr/bin
chmod a+x $pkg_main/usr/bin/ssh-copy-id
copy contrib/ssh-copy-id.1 $pkg_main/usr/man/man1

rm -f $pkg_main/etc/ssh/ssh_host_dsa_key
rm -f $pkg_main/etc/ssh/ssh_host_dsa_key.pub
rm -f $pkg_main/etc/ssh/ssh_host_rsa_key
rm -f $pkg_main/etc/ssh/ssh_host_rsa_key.pub
rm -f $pkg_main/etc/ssh/ssh_host_key
rm -f $pkg_main/etc/ssh/ssh_host_key.pub

mv $pkg_main/etc/ssh/ssh_config $pkg_main/etc/ssh/ssh_config.new
mv $pkg_main/etc/ssh/sshd_config $pkg_main/etc/ssh/sshd_config.new

copy $src_pkg/rc.sshd $pkg_main/etc/rc.d
chmod a+x $pkg_main/etc/rc.d/rc.sshd

make_docs

make_package main

clean_up

# $Log: openssh.builder,v $
# Revision 1.6  2003/05/01 15:53:24  swiergot
# - Build 1.
#
# Revision 1.5  2003/05/01 15:38:58  swiergot
# - Version 3.6p2.
#
# Revision 1.4  2003/04/01 20:35:13  swiergot
# - Build 1.
#
# Revision 1.3  2003/04/01 20:22:04  swiergot
# - Version 3.6.1p1.
#
# Revision 1.2  2003/04/01 09:46:31  swiergot
# - Build 1.
#
# Revision 1.1  2003/04/01 09:37:28  swiergot
# - Initial release.
# - Version 3.6p1.
#
